<?php
function ed_cpmfetch_latest_albums_settings_page() {
    add_submenu_page(
    'tools.php',
    'CPMFetch Latest Albums Shortcode Settings',
    'CPMFetch Latest Albums Shortcode',
    'manage_options',
    'ed-cpmfetch-latest-albums-settings',
    'ed_cpmfetch_latest_albums_settings_function',
    $position
    );   
}
add_action('admin_menu', 'ed_cpmfetch_latest_albums_settings_page');


add_action( 'admin_init', 'ed_cpmfetch_latest_albums_settings_function_register' );
function ed_cpmfetch_latest_albums_settings_function_register() {
	register_setting( 'baw-settings-group', 'ed_cpmfetch_latest_albums_prefix', 'input_validation' );
	register_setting( 'baw-settings-group', 'ed_cpmfetch_latest_albums_deepth', 'input_validation' );
	register_setting( 'baw-settings-group', 'ed_cpmfetch_latest_albums_number', 'input_validation' );
}


function ed_cpmfetch_latest_albums_settings_function() {
    $latest_albums_prefix = get_option( 'ed_cpmfetch_latest_albums_prefix' ) !== '' ? get_option( 'ed_cpmfetch_latest_albums_prefix' ) : 'None';
	$latest_albums_deepth = get_option( 'ed_cpmfetch_latest_albums_deepth' ) !== '' ? get_option( 'ed_cpmfetch_latest_albums_deepth' ) : 'None';
	$latest_albums_number = get_option( 'ed_cpmfetch_latest_albums_number' ) !== '' ? get_option( 'ed_cpmfetch_latest_albums_number' ) : 'None';
    ?>
    <div class="notice notice-info">
        <p>
            Use the code <code>&lt;?php echo do_shortcode ('[cpmfetch-latest-albums-plugin]'); ?&gt;</code> to display latest albums at any area of your site.
        </p>
    </div>
    
    <div class="notice notice-success">
        <p>
            <strong>Coppermine Gallery Prefix</strong>: <?php echo $latest_albums_prefix ?>
            <br>
            <strong>Coppermine Gallery Deepth</strong>: <?php echo $latest_albums_deepth ?>
            <br>
            <strong>Number of Albums</strong>: <?php echo $latest_albums_number ?>
            <br>
            <strong>Error Reporting</strong>: <?php if ($latest_albums_report == '1') {echo 'Yes';} else {echo 'No';} ?>
        </p>
    </div>
    
    <div class="wrap">
        <style>.wrap strong {font-weight:bold;}</style>
		<h1 style="font-size:2em;"><?php echo get_admin_page_title(); ?></h1>
		
		<h5>
		    <strong>ATTENTION</strong>: these settings are only for the CPMFetch shortcode that you can post in any area of the site.
		    <br>
		    <strong>IMPORTANT</strong>: Wrong settings of this plugin will break your theme. Default settings will not work on your site. Also, this plugin <strong>WILL NOT</strong> work if your theme already has the CPMFetch code, and you have to delete that.
		</h5>
		
		<form method="post" action="options.php" style="border:  1px solid black;margin-top: 20px;">
            <?php settings_fields( 'baw-settings-group' ); ?>
            <table class="form-table">
                <tr><td colspan="2"><h2 style="margin: 0;font-size:1.5em;display:  block;text-align:  center;background:  black;color:  white;font-weight:  normal;padding: 5px;"><?php _e("CPMFetch Path Settings", 'coppermine-cpmfetch'); ?></h2></td></tr>
                <tr valign="top">
                    <td scope="row" width="30%">
                        <h3 style="margin: 0;font-size:1.17em;">CPMFetch Prefix:</h3>
                        <small>
                            <strong>Example</strong>: If you have a gallery located on yoursite.com/gallery, you should change it to "<strong>gallery</strong>". <strong>ONLY PREFIX, NO PATH!</strong>
                        </small>
                    </td>
            
                    <td>
                        <fieldset>
                            <legend class="screen-reader-text">
                                <span><?php _e( 'CPMFetch Prefix' ); ?></span>
                            </legend>
                            
                            <input size="6" type="text" name="ed_cpmfetch_latest_albums_prefix" value="<?php if (get_option('ed_cpmfetch_latest_albums_prefix') !== '') {echo get_option('ed_cpmfetch_latest_albums_prefix');} else {echo 'cpg';} ?>" />
                        </fieldset>
                    </td>
                </tr>
                
                <tr valign="top">
                    <td scope="row" width="30%">
                        <h3 style="margin: 0;font-size:1.17em;">CPMFetch Deepth:</h3>
                        <small>
                            <strong>Example #1</strong>: If you have a gallery located on <strong>yoursite.com/gallery</strong>, you should put one dot.<br><br><strong>Example #2</strong>: If you have a gallery located on <strong>yoursite.com/blog/gallery</strong>, you should put two dots.<br><br><strong>In short, the deeper a tree of subdirectories, the more dotes you put</strong>
                        </small>
                    </td>
            
                    <td>
                        <fieldset>
                            <legend class="screen-reader-text">
                                <span><?php _e( 'CPMFetch Deepth' ); ?></span>
                            </legend>
                            
                            <select style="width: 100%;" id="ed_cpmfetch_latest_albums_deepth" name="ed_cpmfetch_latest_albums_deepth">
                                <option value='.'<?php echo (get_option('ed_cpmfetch_latest_albums_deepth')=='.')?'selected':''; ?>>.</option>
                                <option value='..'<?php echo (get_option('ed_cpmfetch_latest_albums_deepth')=='..')?'selected':''; ?>>..</option>
                                <option value='...'<?php echo (get_option('ed_cpmfetch_latest_albums_deepth')=='...')?'selected':''; ?>>...</option>
                                
                            </select>
                        </fieldset>
                    </td>
                </tr>
                
                
                <tr><td colspan="2"><h2 style="margin: 0;font-size:1.5em;display:  block;text-align:  center;background:  black;color:  white;font-weight:  normal;padding: 5px;"><?php _e("Table Photo Settings", 'coppermine-cpmfetch'); ?></h2></td></tr>
                
                <tr valign="top">
                    <td scope="row" width="30%">
                        <h3 style="margin: 0;font-size:1.17em;">Number of Albums:</h3>
                    </td>
            
                    <td>
                        <fieldset>
                            <legend class="screen-reader-text">
                                <span><?php _e( 'CPMFetch Number' ); ?></span>
                            </legend>
                            
                            <input style="width: 60px;" type="number" min="1" name="ed_cpmfetch_latest_albums_number" value="<?php if (get_option('ed_cpmfetch_latest_albums_number') !== '') {echo get_option('ed_cpmfetch_latest_albums_number');} else {echo '6';} ?>" />
                        </fieldset>
                    </td>
                </tr>
                
                
                <tr><td colspan="2"><h2 style="margin: 0;font-size:1.5em;display:  block;text-align:  center;background:  black;color:  white;font-weight:  normal;padding: 5px;"><?php _e("Debug Settings", 'coppermine-cpmfetch'); ?></h2></td></tr>
                <tr valign="top">
                    <td scope="row" width="30%">
                        <h3 style="margin: 0;font-size:1.17em;">Error Reporting:</h3>
                        <small>Do not turn on this option if you do not want to see errors at the code of your <strong>CPMFetch Latest Albums block</strong>.</small>
                    </td>
            
                    <td>
                        <fieldset>
                            <legend class="screen-reader-text">
                                <span><?php _e( 'CPMFetch Report Bugs' ); ?></span>
                            </legend>
                            
                            <label for="<?php echo get_option('ed_cpmfetch_latest_albums_report'); ?>"><?php _e( 'Error Reporting:', 'coppermine_cpmfetch' ); ?></label>
                            <input type="checkbox" class="checkbox" value="1" id="ed_cpmfetch_latest_albums_report" name="ed_cpmfetch_latest_albums_report"<?php checked( get_option('ed_cpmfetch_latest_albums_report') ); ?> />
                        </fieldset>
                    </td>
                </tr>
            </table>
    
            <p class="submit" style="text-align: center;">
                <input type="submit" class="button-primary" value="<?php _e('Save Changes of CPMFetch Latest Albums Shortcode') ?>" />
            </p>
        </form>

		<p style="text-align:right;font-size:11px;">
		    <span style="display:block;">
		        Having troubles? Please, contact <a href="https://estrelladesign.tk/">the plugin creator</a> to get help.
		    </span>
		    <span style="display:block;">
		        New to CPMFetch? Go to read the <a href="http://greggallery.gmcdesign.com/cpmfetch/docs/basic/">full documentation</a> to learn more about this plugin.
            </span>
            <span style="display:block;">
                Based on the <strong style="font-weight: bold;">CPMFetch</strong> by <a href="http://cpmfetch.fistfullofcode.com">W.B.Chmura (aka Vuud)</a>
            </span>
		</p>
	</div>
	<?php
}