<?php

if ( ! defined( 'ABSPATH' ) ) exit;

// REGISTER WIDGET
function latest_albums_register_widget() { register_widget( 'latest_albums_widget' ); }
add_action( 'widgets_init', 'latest_albums_register_widget' );


// PHP IN WIDGETS
function latest_albums_widget_php($widget_content) {if (strpos($widget_content, '<' . '?') !== false) {ob_start();eval('?' . '>' . $widget_content);$widget_content = ob_get_contents();ob_end_clean();}return $widget_content;}
add_filter('widget_text', 'latest_albums_widget_php', 99);



// WIGDET CODE
class latest_albums_widget extends WP_Widget {
    function __construct() {
        parent::__construct(
            'latest_albums_widget', __('Estrella Design: Coppermine Latest Albums', 'ed_latest_albums'), 
            array( 
                'description' => __( 'This plugin lets you display latest albums without having to edit files of your theme.', 'ed_latest_albums' ), 
            )
        );
    }

    public function update( $new_instance, $old_instance ) {
        $instance = array();
        $instance['title'] = ( ! empty( $new_instance['title'] ) ) ? strip_tags( $new_instance['title'] ) : 'Latest Albums';
        $instance['albums_prefix'] = ( ! empty( $new_instance['albums_prefix'] ) ) ? strip_tags( $new_instance['albums_prefix'] ) : 'cpg';
        $instance['albums_deepth'] = $new_instance['albums_deepth'];
        $instance['albums_number'] = (int) $new_instance['albums_number'];
        $instance['albums_error_report']  = ! empty( $new_instance['albums_error_report'] ) ? 1 : 0;

        return $instance;
    }

    public function form( $instance ) {
        $title = isset( $instance['title'] ) ? esc_attr( $instance['title'] ) : '';
        $albums_prefix = ( !empty($instance['albums_prefix'] ) ) ? $instance['albums_prefix'] : __( '' );
        $albums_deepth = $instance['albums_deepth']; 
        $albums_number = isset( $instance['albums_number'] ) ? absint( $instance['albums_number'] ) : 6;
        $albums_error_report = isset( $instance['albums_error_report'] ) ? (bool) $instance['albums_error_report'] : false;
        
        ?>
        
        <h3 id="albums_h3">
            <?php echo __("Latest Albums Widget Title", 'latest-albums'); ?>
        </h3>
        
        <span class="albums_span" id="large">
            <strong>IMPORTANT</strong>: Wrong settings of this plugin will break your theme. When you just install this one, make sure you have changed the settings. Default settings will not work on your site. Also, this plugin <strong>WILL NOT</strong> work if your theme already has the CPMFetch code because of the config file that is used for this plugin and CPMFetch, and you have to delete that.
        </span>
        
        <p id="albums_title">
            <label for="<?php echo $this->get_field_id( 'title' ); ?>">
                <?php echo __( 'Title:', 'ed_latest_albums' ); ?>
            </label>
            
            <input class="widefat" id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" type="text" value="<?php echo $title; ?>" />
        </p>
        
        <h3 id="albums_h3">
            <?php echo __("Latest Albums Widget Settings", 'ed_latest_albums'); ?>
        </h3>
        
        <p id="albums_prefix">
            <span class="albums_span" id="small">
                <strong>Example</strong>: If you have a gallery located on yoursite.com/gallery, you should change it to "<strong>gallery</strong>". <strong>ONLY PREFIX, NO PATH!</strong>
            </span>
            
            <label for="<?php echo $this->get_field_id( 'albums_prefix' ); ?>">
                <?php echo __( 'Gallery Prefix:', 'ed_latest_albums' ); ?>
            </label>
            
            <input type="text" style="width: 60px;" id="<?php echo $this->get_field_id( 'albums_prefix' ); ?>" name="<?php echo $this->get_field_name( 'albums_prefix' ); ?>" type="albums_prefix" step="1" min="1" value="<?php echo $albums_prefix; ?>" size="5" />
        </p>
        
        <p id="albums_deepth">
            <span class="albums_span" id="small">
                <strong>Example #1</strong>: If you have a gallery located on <strong>yoursite.com/gallery</strong>, you should put one dot.<br><br><strong>Example #2</strong>: If you have a gallery located on <strong>yoursite.com/blog/gallery</strong>, you should put two dots.<br><br><strong>In short, the deeper a tree of subdirectories, the more dotes you put</strong>
            </span>
            
            <label for="<?php echo $this->get_field_id('text'); ?>">
                <?php echo __( 'Deepth of the directory:', 'ed_latest_albums' ); ?>
                
                <select id="<?php echo $this->get_field_id('albums_deepth'); ?>"
                name="<?php echo $this->get_field_name('albums_deepth'); ?>" type="number">
                    <option value='.'<?php echo ($albums_deepth=='.')?'selected':''; ?>>.</option>
                    <option value='..'<?php echo ($albums_deepth=='..')?'selected':'selected'; ?>>..</option>
                    <option value='...'<?php echo ($albums_deepth=='...')?'selected':''; ?>>...</option>
                </select>                
            </label>
        </p>
        
        <p id="albums_number">
            <label for="<?php echo $this->get_field_id( 'albums_number' ); ?>">
                <?php echo __( 'Number of albums:', 'ed_latest_albums' ); ?>
            </label>
            
            <input type="number" style="width: 60px;" id="<?php echo $this->get_field_id( 'albums_number' ); ?>" name="<?php echo $this->get_field_name( 'albums_number' ); ?>" type="albums_number" step="1" min="1" value="<?php echo $albums_number; ?>" size="3" />
        </p>
        
        <h3 id="albums_h3">
            <?php echo __( 'Debug Settings', 'ed_latest_albums' ); ?>
        </h3>
        
        <p id="albums_alt_name_size_upload_views">
            <span class="albums_span" id="small_one">
                Do not turn on this option if you do not want to see errors at the code of your <strong>Latest Albums block</strong>.
            </span>
            
            <label for="<?php echo $this->get_field_id( 'albums_error_report' ); ?>">
                <?php echo __( 'Error Reporting:', 'ed_latest_albums' ); ?></label>
            <input type="checkbox" class="checkbox" id="<?php echo $this->get_field_id( 'albums_error_report' ); ?>" name="<?php echo $this->get_field_name( 'albums_error_report' ); ?>"<?php checked( $albums_error_report ); ?> />
            </p>
        
        <p id="cpmfetch_contact">
            <span style="text-align:right;font-size:9px;display:block;">
                Having troubles? Please, contact <a href="https://estrelladesign.tk/">the plugin creator</a> to get help.
            </span>
        </p>    
        
        <?php }
        
    public function widget( $args, $instance ) {
        $title = apply_filters( 'widget_title', $instance['title'] );
        echo $args['before_widget'];
        
        if ( ! empty( $title ) )
        echo $args['before_title'] . $title . $args['after_title'];
        
        // CPG Prefix
        $albums_prefix = apply_filters( 'widget_title', $instance['albums_prefix'] );
        
        // CPG Deepth      
        $albums_deepth = empty($instance['albums_deepth']) ? '' : $instance['albums_deepth'];
        if (!empty($albums_deepth))
            echo '';
            
        /// CPG Numbers		
        $albums_number = ( ! empty( $instance['albums_number'] ) ) ? absint( $instance['albums_number'] ) : 6;
        if ( ! $albums_number ) {
			$albums_number = 6;
		}  
		
		/// CPG Error Report
		$albums_error_report = ( ! empty( $instance['albums_error_report'] ) ) ? '1' : '0';


        // Latest Albums Block
        require_once LATESTALBUMS_PLUGIN_DIR . 'coppermine-latest-albums-code.php';
        
        echo $args['after_widget'];
    }  

    }